#clear the memory
rm (list=ls())
#memory occupation
gc()
#************
#connecting the database
#loading the "filehash" package
library(filehash)
#initialize the database
setwd("D:/DataMining/Databases_for_mining/dataset_for_soft_dev_and_comparison/swap_strategy")
system.time(db <- dbInit("wave.dataset.db"))
#measuring the memory occupation
gc()
#attach the database to an environnement
system.time(wave.env <- db2env(db))
#measuring the memory occupation
gc()
#checking the dataset
system.time(print(summary(wave.env$wave.data)))
#measuring the memory occupation
gc()
#learning a decision tree - rpart
library(rpart)
settings <- rpart.control(xval=0,minsplit=100000,minbucket=100000,maxsurrogate=0,cp=0)
system.time(wave.tree <- rpart(Onde ~ V07+V11+V17+V06+V10, data = wave.env$wave.data, control = settings))
gc()
print(wave.tree)
#linear discriminant analysis
library(MASS)
system.time(wave.lda <- lda(Onde ~ V07+V11+V17+V06+V10, data = wave.env$wave.data))
gc()
print(wave.lda)
#********************************************
#saving the models into the database
#saving the tree
system.time(dumpObjects(wave.tree, dbName = "wave.models.db"))
#saving the lda
system.time(dumpObjects(wave.lda, dbName = "wave.models.db"))
gc()


