#clear the memory
rm (list=ls())
#load the data file
gc()
setwd("D:/DataMining/Databases_for_mining/dataset_for_soft_dev_and_comparison/swap_strategy")
system.time(wave.data <- read.table(file = "wave2M.txt", sep = "\t", dec = ".", header = T))
#checking the data
gc()
system.time(print(summary(wave.data)))
gc()
#learning a decision tree - rpart
library(rpart)
settings <- rpart.control(xval=0,minsplit=100000,minbucket=100000,maxsurrogate=0,cp=0)
gc()
system.time(wave.tree <- rpart(Onde ~ V07+V11+V17+V06+V10, data = wave.data, control = settings))
#system.time(wave.tree <- rpart(Onde ~ ., data = wave.data, control = settings))
gc()
print(wave.tree)
#linear discriminant analysis
library(MASS)
gc()
system.time(wave.lda <- lda(Onde ~ V07+V11+V17+V06+V10, data = wave.data))
#system.time(wave.lda <- lda(Onde ~ ., data = wave.data))
gc()
print(wave.lda)
#prediction
gc()
system.time(pred.tree <- predict(wave.tree, newdata = wave.data, type = "class"))
gc()
system.time(pred.lda <- predict(wave.lda, newdata = wave.data)$class)
gc()
#confusion matrix
system.time(mc1 <- table(wave.data$Onde,pred.tree))
print(mc1)
err1 <- 1.0 - (mc1[1,1]+mc1[2,2]+mc1[3,3])/sum(mc1)
print(err1)
system.time(mc2 <- table(wave.data$Onde,pred.lda))
print(mc2)
err2 <- 1.0 - (mc2[1,1]+mc2[2,2]+mc2[3,3])/sum(mc2)
print(err2)
