#clear the memory
rm (list=ls())
#memory occupation
gc()
#**************************************
#connecting the dataset into a database
#loading the "filehash" package
library(filehash)
#initialize the database
setwd("D:/DataMining/Databases_for_mining/dataset_for_soft_dev_and_comparison/swap_strategy")
system.time(db.data <- dbInit("wave.dataset.db"))
#measuring the memory occupation
gc()
#attach the database to an environnement
system.time(wave.env.data <- db2env(db.data))
#measuring the memory occupation
gc()
#checking the dataset
system.time(print(summary(wave.env.data$wave.data)))
gc()
#*********************************************
#loading the packages associated to the models
library(rpart)
library(MASS)
#connecting the models into a database
db.models <- dbInit("wave.models.db")
#attach the db to an environnement
wave.env.models <- db2env(db = db.models)
#*******************
#printing the models
gc()
print(wave.env.models$wave.tree)
print(wave.env.models$wave.lda)
gc()
#prediction on the dataset
system.time(pred.tree <- predict(wave.env.models$wave.tree, newdata = wave.env.data$wave.data, type = "class"))
gc()
system.time(pred.lda <- predict(wave.env.models$wave.lda, newdata = wave.env.data$wave.data)$class)
gc()
#matrices de confusion
system.time(mc1 <- table(wave.env.data$wave.data$Onde,pred.tree))
print(mc1)
err1 <- 1.0 - (mc1[1,1]+mc1[2,2]+mc1[3,3])/sum(mc1)
print(err1)
system.time(mc2 <- table(wave.env.data$wave.data$Onde,pred.lda))
print(mc2)
err2 <- 1.0 - (mc2[1,1]+mc2[2,2]+mc2[3,3])/sum(mc2)
print(err2)
gc()


